@Echo off
cd /d "%~dp0\installer" || (echo Error: Directory 'installer' not found & pause & exit /b)

:m1
cls
Echo.
Echo 1 - Connect to router
Echo 2 - Read original eeprom.bin
Echo 3 - Read original backup.bin
Echo 4 - Write breed.bin for 3G/3P/4
Echo.
Set /p choice="Select: "

if not defined choice goto m1
if "%choice%"=="1" call "1.start_main.bat"
if "%choice%"=="2" call "2.start_create_backup_eeprom.bat"
if "%choice%"=="3" call "3.start_create_backup_full.bat"
if "%choice%"=="4" call "4.start_write_uboot_Breed.bat"

goto m1
pause >nul
